Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.functions
Class FunctionDef1Arg

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.functions.Function
                  |
                  +--weblogic.apache.xpath.functions.FunctionOneArg
                        |
                        +--weblogic.apache.xpath.functions.FunctionDef1Arg

Direct Known Subclasses:
  FuncDoclocation, FuncGenerateId, FuncLocalPart, FuncNamespace, FuncNormalizeSpace, FuncNumber, FuncQname, FuncString, FuncStringLength

public class FunctionDef1Arg
extends FunctionOneArg

Base class for functions that accept one argument that can be defaulted if not specified.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`FunctionDef1Arg()`

Method Summary
`boolean` | `Arg0IsNodesetExpr()` Tell if the expression is a nodeset expression.
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`void` | `checkNumberArgs(int argNum)` Check that the number of arguments passed to this function is correct.
`protected int` | `getArg0AsNode(XPathContext xctxt)` Execute the first argument expression that is expected to return a nodeset.
`protected double` | `getArg0AsNumber(XPathContext xctxt)` Execute the first argument expression that is expected to return a number.
`protected XMLString` | `getArg0AsString(XPathContext xctxt)` Execute the first argument expression that is expected to return a string.

Methods inherited from class weblogic.apache.xpath.functions.FunctionOneArg
`fixupVariables, getArg0, setArg`

Methods inherited from class weblogic.apache.xpath.functions.Function
`execute`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionDef1Arg

    public FunctionDef1Arg()

Method Detail

### getArg0AsNode

    protected int getArg0AsNode(XPathContext xctxt)
                         throws javax.xml.transform.TransformerException

  Execute the first argument expression that is expected to return a nodeset. If the argument is null, then return the current context node.

  Parameters:
    `xctxt` - Runtime XPath context.
  Returns:
    The first node of the executed nodeset, or the current context node if the first argument is null.
  Throws:
    javax.xml.transform.TransformerException - if an error occurs while executing the argument expression.

### Arg0IsNodesetExpr

    public boolean Arg0IsNodesetExpr()

  Tell if the expression is a nodeset expression.

  Returns:
    true if the expression can be represented as a nodeset.

### getArg0AsString

    protected XMLString getArg0AsString(XPathContext xctxt)
                                 throws javax.xml.transform.TransformerException

  Execute the first argument expression that is expected to return a string. If the argument is null, then get the string value from the current context node.

  Parameters:
    `xctxt` - Runtime XPath context.
  Returns:
    The string value of the first argument, or the string value of the current context node if the first argument is null.
  Throws:
    javax.xml.transform.TransformerException - if an error occurs while executing the argument expression.

### getArg0AsNumber

    protected double getArg0AsNumber(XPathContext xctxt)
                              throws javax.xml.transform.TransformerException

  Execute the first argument expression that is expected to return a number. If the argument is null, then get the number value from the current context node.

  Parameters:
    `xctxt` - Runtime XPath context.
  Returns:
    The number value of the first argument, or the number value of the current context node if the first argument is null.
  Throws:
    javax.xml.transform.TransformerException - if an error occurs while executing the argument expression.

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Check that the number of arguments passed to this function is correct.

  Parameters:
    `argNum` - The number of arguments that is being passed to the function.
  Throws:
    WrongNumberArgsException - if the number of arguments is not 0 or 1.
  Overrides:
    checkNumberArgs in class FunctionOneArg

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.

  Returns:
    true if traversal outside the context node's subtree can occur.
  Overrides:
    canTraverseOutsideSubtree in class FunctionOneArg

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference